org.bdgenomics.adam.rdd.variant

# VariantContextRDD

#### case class VariantContextRDD(rdd: RDD[VariantContext], sequences: SequenceDictionary, samples: Seq[Sample], headerLines: Seq[VCFHeaderLine], optPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]]) extends MultisampleGenomicRDD[VariantContext, VariantContextRDD] with Logging with Product with Serializable

An RDD containing VariantContexts attached to a reference and samples.

rdd

  The underlying RDD of VariantContexts.

sequences

  The genome sequence these variants were called against.

samples

  The genotyped samples in this RDD of VariantContexts.

headerLines

  The VCF header lines that cover all INFO/FORMAT fields needed to represent this RDD of VariantContexts.

Linear Supertypes
Serializable, Serializable, Product, Equals, MultisampleGenomicRDD[VariantContext, VariantContextRDD], GenomicRDD[VariantContext, VariantContextRDD], Logging, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VariantContextRDD
2. Serializable
3. Serializable
4. Product
5. Equals
6. MultisampleGenomicRDD
7. GenomicRDD
8. Logging
9. AnyRef
10. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantContextRDD(rdd: RDD[VariantContext], sequences: SequenceDictionary, samples: Seq[Sample], headerLines: Seq[VCFHeaderLine], optPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]])

   rdd

     The underlying RDD of VariantContexts.

   sequences

     The genome sequence these variants were called against.

   samples

     The genotyped samples in this RDD of VariantContexts.

   headerLines

     The VCF header lines that cover all INFO/FORMAT fields needed to represent this RDD of VariantContexts.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def addHeaderLine(headerLineToAdd: VCFHeaderLine): VariantContextRDD

   Appends a new header line to the existing lines.

   Appends a new header line to the existing lines.

   headerLineToAdd

     A header line to add.

   returns

     A new RDD with the new header line added.

7. #### def addHeaderLines(headerLinesToAdd: Seq[VCFHeaderLine]): VariantContextRDD

   Appends new header lines to the existing lines.

   Appends new header lines to the existing lines.

   headerLinesToAdd

     Zero or more header lines to add.

   returns

     A new RDD with the new header lines added.

8. #### def addSample(sampleToAdd: Sample): VariantContextRDD

   Adds a single sample to the current RDD.

   Adds a single sample to the current RDD.

   sampleToAdd

     A single sample to add.

   returns

     Returns a new RDD with this sample added.

   Definition Classes
     MultisampleGenomicRDD

9. #### def addSamples(samplesToAdd: Iterable[Sample]): VariantContextRDD

   Adds samples to the current RDD.

   Adds samples to the current RDD.

   samplesToAdd

     Zero or more samples to add.

   returns

     Returns a new RDD with samples added.

   Definition Classes
     MultisampleGenomicRDD

10. #### def addSequence(sequenceToAdd: SequenceRecord): VariantContextRDD

    Appends metadata for a single sequence to the current RDD.

    Appends metadata for a single sequence to the current RDD.

    sequenceToAdd

      The sequence to add.

    returns

      Returns a new GenomicRDD with this sequence appended.

    Definition Classes
      GenomicRDD

11. #### def addSequences(sequencesToAdd: SequenceDictionary): VariantContextRDD

    Appends sequence metadata to the current RDD.

    Appends sequence metadata to the current RDD.

    sequencesToAdd

      The new sequences to append.

    returns

      Returns a new GenomicRDD with the sequences appended.

    Definition Classes
      GenomicRDD

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def broadcast()(implicit tTag: ClassTag[VariantContext]): Broadcast[IntervalArray[ReferenceRegion, VariantContext]]

    Definition Classes
      GenomicRDD

14. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], txTag: ClassTag[(VariantContext, X)]): GenericGenomicRDD[(VariantContext, X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainst

15. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], txTag: ClassTag[(VariantContext, X)]): GenericGenomicRDD[(VariantContext, X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainst

16. #### def broadcastRegionJoinAgainst[X](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenericGenomicRDD[(X, VariantContext)]

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

17. #### def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: GenomicRDD[X, Y]](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenericGenomicRDD[(Iterable[X], VariantContext)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

18. #### def broadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[VariantContext], X)]): GenericGenomicRDD[(Iterable[VariantContext], X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainstAndGroupByRight

19. #### def broadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[VariantContext], X)]): GenericGenomicRDD[(Iterable[VariantContext], X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainstAndGroupByRight

20. #### def buildTree(rdd: RDD[(ReferenceRegion, VariantContext)])(implicit tTag: ClassTag[VariantContext]): IntervalArray[ReferenceRegion, VariantContext]

    Attributes
      protected
    Definition Classes
      VariantContextRDD → GenomicRDD

21. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def filterByOverlappingRegion(query: ReferenceRegion): VariantContextRDD

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the query region.

    Definition Classes
      GenomicRDD

24. #### def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): VariantContextRDD

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the querys region.

    Definition Classes
      GenomicRDD

25. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

26. #### def flattenRddByRegions(): RDD[(ReferenceRegion, VariantContext)]

    Attributes
      protected
    Definition Classes
      GenomicRDD

27. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], otoxTag: ClassTag[(Option[VariantContext], Option[X])]): GenericGenomicRDD[(Option[VariantContext], Option[X])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

28. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], otoxTag: ClassTag[(Option[VariantContext], Option[X])]): GenericGenomicRDD[(Option[VariantContext], Option[X])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

29. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

30. #### def getReferenceRegions(elem: VariantContext): Seq[ReferenceRegion]

    elem

      The variant context to get a reference region for.

    returns

      Returns a seq containing the position key from the variant context.

    Attributes
      protected
    Definition Classes
      VariantContextRDD → GenomicRDD

31. #### val headerLines: Seq[VCFHeaderLine]

    The VCF header lines that cover all INFO/FORMAT fields needed to represent this RDD of VariantContexts.

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### def isSorted: Boolean

    Definition Classes
      GenomicRDD

34. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

35. #### lazy val jrdd: JavaRDD[VariantContext]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicRDD

36. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], toxTag: ClassTag[(VariantContext, Option[X])]): GenericGenomicRDD[(VariantContext, Option[X])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

37. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], toxTag: ClassTag[(VariantContext, Option[X])]): GenericGenomicRDD[(VariantContext, Option[X])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

38. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], toxTag: ClassTag[(VariantContext, Iterable[X])]): GenericGenomicRDD[(VariantContext, Iterable[X])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

39. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], toxTag: ClassTag[(VariantContext, Iterable[X])]): GenericGenomicRDD[(VariantContext, Iterable[X])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

40. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

41. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

43. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

44. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

45. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

46. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

47. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

48. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

49. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

50. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

51. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

52. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

53. #### final def notify(): Unit

    Definition Classes
      AnyRef

54. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

55. #### val optPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]]

    Definition Classes
      VariantContextRDD → GenomicRDD

56. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[VariantContext, VariantContextRDD, V]](cmd: String, files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[V], xFormatter: OutFormatter[X], convFn: Function2[VariantContextRDD, RDD[X], Y]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Java/PySpark friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

57. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[VariantContext, VariantContextRDD, V]](cmd: String, files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[V], xFormatter: OutFormatter[X], convFn: Function2[VariantContextRDD, RDD[X], Y]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    SparkR friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

58. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[VariantContext, VariantContextRDD, V]](cmd: String, files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0)(implicit tFormatterCompanion: InFormatterCompanion[VariantContext, VariantContextRDD, V], xFormatter: OutFormatter[X], convFn: (VariantContextRDD, RDD[X]) ⇒ Y, tManifest: ClassTag[VariantContext], xManifest: ClassTag[X]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicRDD. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

59. #### val rdd: RDD[VariantContext]

    The underlying RDD of VariantContexts.

    The underlying RDD of VariantContexts.

    Definition Classes
      VariantContextRDD → GenomicRDD

60. #### def replaceHeaderLines(newHeaderLines: Seq[VCFHeaderLine]): VariantContextRDD

    Replaces the header lines attached to this RDD.

    Replaces the header lines attached to this RDD.

    newHeaderLines

      The new header lines to attach to this RDD.

    returns

      A new RDD with the header lines replaced.

61. #### def replaceRdd(newRdd: RDD[VariantContext], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): VariantContextRDD

    newRdd

      The RDD of VariantContexts to replace the underlying RDD.

    returns

      Returns a new VariantContextRDD where the underlying RDD has been replaced.

    Attributes
      protected
    Definition Classes
      VariantContextRDD → GenomicRDD

62. #### def replaceSamples(newSamples: Iterable[Sample]): VariantContextRDD

    Replaces the sample metadata attached to the RDD.

    Replaces the sample metadata attached to the RDD.

    newSamples

      The new sample metadata to attach.

    returns

      A GenomicRDD with new sample metadata.

    Definition Classes
      VariantContextRDD → MultisampleGenomicRDD

63. #### def replaceSequences(newSequences: SequenceDictionary): VariantContextRDD

    Replaces the sequence dictionary attached to a GenomicRDD.

    Replaces the sequence dictionary attached to a GenomicRDD.

    newSequences

      The new sequence dictionary to attach.

    returns

      Returns a new GenomicRDD with the sequences replaced.

    Definition Classes
      VariantContextRDD → GenomicRDD

64. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], otxTag: ClassTag[(Option[VariantContext], X)]): GenericGenomicRDD[(Option[VariantContext], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoin

65. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], otxTag: ClassTag[(Option[VariantContext], X)]): GenericGenomicRDD[(Option[VariantContext], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoin

66. #### def rightOuterBroadcastRegionJoinAgainst[X](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenericGenomicRDD[(Option[X], VariantContext)]

    Performs a broadcast right outer join between this RDD and data that has been broadcast.

    Performs a broadcast right outer join between this RDD and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoin

67. #### def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: GenomicRDD[X, Y]](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenericGenomicRDD[(Iterable[X], VariantContext)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoinAndGroupByRight

68. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[VariantContext], X)]): GenericGenomicRDD[(Iterable[VariantContext], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

69. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[VariantContext], X)]): GenericGenomicRDD[(Iterable[VariantContext], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

70. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], otxTag: ClassTag[(Option[VariantContext], X)]): GenericGenomicRDD[(Option[VariantContext], X)]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

71. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], otxTag: ClassTag[(Option[VariantContext], X)]): GenericGenomicRDD[(Option[VariantContext], X)]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

72. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], otixTag: ClassTag[(Option[VariantContext], Iterable[X])]): GenericGenomicRDD[(Option[VariantContext], Iterable[X])]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

73. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], otixTag: ClassTag[(Option[VariantContext], Iterable[X])]): GenericGenomicRDD[(Option[VariantContext], Iterable[X])]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

74. #### val samples: Seq[Sample]

    The genotyped samples in this RDD of VariantContexts.

    The genotyped samples in this RDD of VariantContexts.

    Definition Classes
      VariantContextRDD → MultisampleGenomicRDD

75. #### def saveAsVcf(filePath: String, asSingleFile: Boolean, deferMerging: Boolean, disableFastConcat: Boolean, stringency: ValidationStringency): Unit

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    File paths that end in .gz or .bgz will be saved as block GZIP compressed VCFs.

    filePath

      The file path to save to.

    asSingleFile

      If true, saves the output as a single file by merging the sharded output after completing the write to HDFS. If false, the output of this call will be written as shards, where each shard has a valid VCF header.

    deferMerging

      If true and asSingleFile is true, we will save the output shards as a headerless file, but we will not merge the shards.

    disableFastConcat

      If asSingleFile is true and deferMerging is false, disables the use of the parallel file merging engine.

    stringency

      The validation stringency to use when writing the VCF.

76. #### def saveAsVcf(filePath: String): Unit

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves as a single file to disk as VCF.

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves as a single file to disk as VCF. Uses lenient validation stringency.

    File paths that end in .gz or .bgz will be saved as block GZIP compressed VCFs.

    filePath

      The file path to save to.

77. #### def saveAsVcf(args: ADAMSaveAnyArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): Unit

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    File paths that end in .gz or .bgz will be saved as block GZIP compressed VCFs.

    args

      Arguments defining where to save the file.

    stringency

      The validation stringency to use when writing the VCF. Defaults to LENIENT.

78. #### val sequences: SequenceDictionary

    The genome sequence these variants were called against.

    The genome sequence these variants were called against.

    Definition Classes
      VariantContextRDD → GenomicRDD

79. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], txTag: ClassTag[(VariantContext, X)]): GenericGenomicRDD[(VariantContext, X)]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

80. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], txTag: ClassTag[(VariantContext, X)]): GenericGenomicRDD[(VariantContext, X)]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

81. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], tixTag: ClassTag[(VariantContext, Iterable[X])]): GenericGenomicRDD[(VariantContext, Iterable[X])]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

82. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X], tixTag: ClassTag[(VariantContext, Iterable[X])]): GenericGenomicRDD[(VariantContext, Iterable[X])]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

83. #### def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[VariantContext]): VariantContextRDD

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    partitions

      The number of partitions for the new RDD.

    stringency

      The level of ValidationStringency to enforce.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

    See also

      sortLexicographically

84. #### def sort(): VariantContextRDD

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    See also

      sortLexicographically

85. #### def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[VariantContext]): VariantContextRDD

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    partitions

      The number of partitions for the new RDD.

    storePartitionMap

      A Boolean flag to determine whether to store the partition bounds from the resulting RDD.

    storageLevel

      The level at which to persist the resulting RDD.

    stringency

      The level of ValidationStringency to enforce.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

    See also

      sort

86. #### def sortLexicographically(): VariantContextRDD

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    See also

      sort

87. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

88. #### def toGenotypes(): GenotypeRDD

    returns

      Returns a GenotypeRDD containing the Genotypes in this RDD.

89. #### def toString(): String

    Definition Classes
      MultisampleGenomicRDD → GenomicRDD → AnyRef → Any

90. #### def toVariants(): VariantRDD

    returns

      Returns the Variants in this RDD.

91. #### def transform(tFn: Function[JavaRDD[VariantContext], JavaRDD[VariantContext]]): VariantContextRDD

    Applies a function that transforms the underlying RDD into a new RDD.

    Applies a function that transforms the underlying RDD into a new RDD.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

92. #### def transform(tFn: (RDD[VariantContext]) ⇒ RDD[VariantContext]): VariantContextRDD

    Applies a function that transforms the underlying RDD into a new RDD.

    Applies a function that transforms the underlying RDD into a new RDD.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

93. #### def transmute[X, Y <: GenomicRDD[X, Y]](tFn: Function[JavaRDD[VariantContext], JavaRDD[X]], convFn: Function2[VariantContextRDD, RDD[X], Y]): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly version.

    tFn

      A function that transforms the underlying RDD.

    convFn

      The conversion function used to build the final RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

94. #### def transmute[X, Y <: GenomicRDD[X, Y]](tFn: (RDD[VariantContext]) ⇒ RDD[X])(implicit convFn: (VariantContextRDD, RDD[X]) ⇒ Y): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

95. #### def union(rdds: VariantContextRDD*): VariantContextRDD

    Unions together multiple genomic RDDs.

    Unions together multiple genomic RDDs.

    rdds

      RDDs to union with this RDD.

    Definition Classes
      VariantContextRDD → GenomicRDD

96. #### def union(rdds: List[VariantContextRDD]): VariantContextRDD

    Unions together multiple genomic RDDs.

    Unions together multiple genomic RDDs.

    rdds

      RDDs to union with this RDD.

    Definition Classes
      GenomicRDD

97. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

98. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

99. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

100. #### def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

     Writes an RDD to disk as text and optionally merges.

     Writes an RDD to disk as text and optionally merges.

     rdd

       RDD to save.

     outputPath

       Output path to save text files to.

     asSingleFile

       If true, combines all partition shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     optHeaderPath

       If provided, the header file to include.

     Attributes
       protected
     Definition Classes
       GenomicRDD

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from MultisampleGenomicRDD[VariantContext, VariantContextRDD]

### Inherited from GenomicRDD[VariantContext, VariantContextRDD]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped